commit 6ee119813c13723f9126d94c0f8cd607b0736eda
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Oct 1 02:27:56 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index c5ef3a27f88..ce6a0ae64fb 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250930
+20251001
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index df6e55831df..a88570a52bc 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,9 @@
+2025-09-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/117517
+	* sem_attr.adb (Resolve_Attribute) <Attribute_Reduce>: Try to
+	resolve the reducer first.  Fix casing of error message.
+
 2025-09-22  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/121968
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index ad7f4018acc..324429faad5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,7 @@
+2025-09-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/reduce1.adb: New test.
+
 2025-09-28  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

